org.apache.ignite.internal.processors.cache.persistence.tree.io

## Class PageMetaIOV2

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.tree.io.PageIO
  - - org.apache.ignite.internal.processors.cache.persistence.tree.io.PageMetaIO
    - - org.apache.ignite.internal.processors.cache.persistence.tree.io.PageMetaIOV2

    public class PageMetaIOV2
    extends PageMetaIO

IO for index partition metadata page.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.tree.io.PageMetaIO

`VERSIONS`

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.tree.io.PageIO

`COMMON_HEADER_END, CRC_OFF, MAX_PAYLOAD_SIZE, PAGE_ID_OFF, ROTATED_ID_PART_OFF, T_BPLUS_META, T_CACHE_ID_AWARE_DATA_REF_INNER, T_CACHE_ID_AWARE_DATA_REF_LEAF, T_CACHE_ID_AWARE_PENDING_REF_INNER, T_CACHE_ID_AWARE_PENDING_REF_LEAF, T_CACHE_ID_DATA_REF_MVCC_INNER, T_CACHE_ID_DATA_REF_MVCC_LEAF, T_DATA, T_DATA_METASTORAGE, T_DATA_PART, T_DATA_REF_INNER, T_DATA_REF_LEAF, T_DATA_REF_METASTORAGE_INNER, T_DATA_REF_METASTORAGE_LEAF, T_DATA_REF_MVCC_INNER, T_DATA_REF_MVCC_LEAF, T_DEFRAG_LINK_MAPPING_INNER, T_DEFRAG_LINK_MAPPING_LEAF, T_H2_EX_REF_INNER_END, T_H2_EX_REF_INNER_START, T_H2_EX_REF_LEAF_END, T_H2_EX_REF_LEAF_START, T_H2_EX_REF_MVCC_INNER_END, T_H2_EX_REF_MVCC_INNER_START, T_H2_EX_REF_MVCC_LEAF_END, T_H2_EX_REF_MVCC_LEAF_START, T_H2_MVCC_REF_INNER, T_H2_MVCC_REF_LEAF, T_H2_REF_INNER, T_H2_REF_LEAF, T_MARKER_PAGE, T_META, T_METASTORE_INNER, T_METASTORE_LEAF, T_PAGE_LIST_META, T_PAGE_LIST_NODE, T_PAGE_UPDATE_TRACKING, T_PART_CNTRS, T_PART_META, T_PENDING_REF_INNER, T_PENDING_REF_LEAF, T_TX_LOG_INNER, T_TX_LOG_LEAF, TYPE_OFF, VER_OFF`

### Constructor Summary

Constructors
Constructor and Description
`PageMetaIOV2(int ver)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getEncryptedPageCount(long pageAddr)`
`int` `getEncryptedPageIndex(long pageAddr)`
`void` `initNewPage(long pageAddr, long pageId, int pageSize, PageMetrics metrics)`
`boolean` `setEncryptedPageCount(long pageAddr, int pagesCnt)`
`boolean` `setEncryptedPageIndex(long pageAddr, int pageIdx)`
`void` `upgradePage(long pageAddr)` Upgrade page to PageMetaIOV2.

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.tree.io.PageMetaIO

`getCandidatePageCount, getFreeSpace, getLastAllocatedPageCount, getLastAllocatedPageCount, getLastSuccessfulFullSnapshotId, getLastSuccessfulSnapshotId, getLastSuccessfulSnapshotTag, getNextSnapshotTag, getReuseListRoot, getTreeRoot, printPage, setCandidatePageCount, setLastAllocatedPageCount, setLastSuccessfulFullSnapshotId, setLastSuccessfulSnapshotId, setLastSuccessfulSnapshotTag, setNextSnapshotTag, setReuseListRoot, setTreeRoot`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.tree.io.PageIO

`assertPageType, assertPageType, copyPage, deriveIndexPageType, getBPlusIO, getBPlusIO, getCompactedSize, getCompactedSize, getCompressedSize, getCompressedSize, getCompressionType, getCompressionType, getCrc, getCrc, getInnerVersions, getLeafVersions, getPageId, getPageId, getPageIO, getPageIO, getPageIO, getRotatedIdPart, getType, getType, getType, getVersion, getVersion, getVersion, isDataPageType, isIndexPage, printPage, registerH2, registerH2ExtraInner, registerH2ExtraLeaf, registerTest, registerTest, setCompactedSize, setCompressedSize, setCompressionType, setCrc, setCrc, setPageId, setRotatedIdPart, setType, setVersion, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PageMetaIOV2

    public PageMetaIOV2(int ver)

Parameters:
  `ver` - Version.

### Method Detail

#### getEncryptedPageIndex

    public int getEncryptedPageIndex(long pageAddr)

Parameters:
  `pageAddr` - Page address.
Returns:
  Index of the last reencrypted page.

#### setEncryptedPageIndex

    public boolean setEncryptedPageIndex(long pageAddr,
                                         int pageIdx)

Parameters:
  `pageAddr` - Page address.
  `pageIdx` - Index of the last reencrypted page.
Returns:
  `true` if value has changed as a result of this method's invocation.

#### getEncryptedPageCount

    public int getEncryptedPageCount(long pageAddr)

Parameters:
  `pageAddr` - Page address.
Returns:
  Total pages to be reencrypted.

#### setEncryptedPageCount

    public boolean setEncryptedPageCount(long pageAddr,
                                         int pagesCnt)

Parameters:
  `pageAddr` - Page address.
  `pagesCnt` - Total pages to be reencrypted.
Returns:
  `true` if value has changed as a result of this method's invocation.

#### initNewPage

    public void initNewPage(long pageAddr,
                            long pageId,
                            int pageSize,
                            PageMetrics metrics)

Overrides:
  `initNewPage` in class `PageMetaIO`
Parameters:
  `pageAddr` - Page address.
  `pageId` - Page ID.
  `pageSize` - Page size.
  `metrics` - Page metrics for tracking page allocation. Can be `null` if no tracking is required.
See Also:
  `EncryptionSpi.encryptedSize(int)`

#### upgradePage

    public void upgradePage(long pageAddr)

Upgrade page to PageMetaIOV2.

Parameters:
  `pageAddr` - Page address.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023